'use strict';
var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('archivesincept.routes');

module.config(function($stateProvider) {
  $stateProvider
    .state('archivesincept-archivesinceptGroup', {
      url:'/archivesincept/archivesinceptgroup',
      templateUrl: 'views/archivesincept/archivesInceptGroup.tpl.html',
      controller: 'ArchivesInceptGroupCtrl as groupCtrl',
      data: {
        title: '收文库',
        url: 'archivesincept-archivesinceptGroup'
      },
      resolve: {
        type: function() {
          return 'xiugai';
        }
      }
    })
    .state('archivesincept-archivesinceptDetail', {
      url: '/archivesincept/:id/archivesinceptDetail',
      templateUrl: 'views/archivesincept/archivesInceptDetail.tpl.html',
      controller: 'ArchivesInceptDetailCtrl as detailCtrl',
      data: {
        title: '详情',
        url: 'archivesincept-archivesinceptDetail'
      },
      resolve: {
        id: ['$stateParams', function($stateParams) {
          return $stateParams.id;
        }],
        type: function(){
          return 'xiugai';
        }
      }
    });
});
